Subject: Re: Timezones

From: [email-masked]

> > Can I patch the Kernel for it to use a
> > different timezone? Or is it possible to
> > add such an option into the iteconfig 
> > program. As it is now, I have to choose
> > if the Amiga side or the Unix side will 
> > get the correct time.
> 
> Set the time on the amiga side to GMT and then on NetBSD link 
> the /etc/localtime to the respective /usr/share/zoneinfo/* timezone file.

But that is the problem: Either you have on both sides the right time,
but then you have NetBSD set up for a wrong timezone, or you have the
wrong time on the ADos side, but the right time *and* timezone with NetBSD.

I haven't tried this yet, but maybe it is possible, to correct the time
while booting (somewhere in rc.local), and resetting the time when
shutting down (somewhere in fastboot, or whatever your favorite way to
exit NetBSD is). AFAIK it is not (yet) possible to set the battery backuped
clock from NetBSD, so the second step is probably not necessary.

As this may result in inconsistencies while booting, maybe a kernel entry
stating the difference between local timezone and GMT would help, so that
NetBSD will read the internal clock, convert the time to GMT and then
you could change this value with /etc/localtime. This is somewhat
complicated, but you have correct times and timezones with both OSs.

-- 
Joern Clausen                        "What do you think will be the biggest
[email-masked]        problem in computing in the 90s?"
Universitaet Bielefeld               "There are only 17,000 three-letter-
Technische Fakultaet                  acronyms."              [Paul Boutin]